unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DirChange, StdCtrls, Mask, ToolEdit, ExtCtrls;

type
  TForm1 = class(TForm)
    DirChange1: TDirChange;
    Memo1: TMemo;
    Panel1: TPanel;
    DirectoryEdit1: TDirectoryEdit;
    procedure DirChange1AnyChange(Sender: TObject; Item1,
      Item2: TWin32FindDataA);
    procedure DirChange1ChangeAccessTime(Sender: TObject; Item1,
      Item2: TWin32FindDataA);
    procedure DirChange1ChangeAttributes(Sender: TObject; Item1,
      Item2: TWin32FindDataA);
    procedure DirChange1ChangeCreationTime(Sender: TObject; Item1,
      Item2: TWin32FindDataA);
    procedure DirChange1ChangeDeleted(Sender: TObject;
      Item: TWin32FindDataA);
    procedure DirChange1ChangeNew(Sender: TObject; Item: TWin32FindDataA);
    procedure DirChange1ChangeRenamed(Sender: TObject;
      Item: TWin32FindDataA);
    procedure DirChange1ChangeSize(Sender: TObject; Item1,
      Item2: TWin32FindDataA);
    procedure DirChange1ChangeWriteTime(Sender: TObject; Item1,
      Item2: TWin32FindDataA);
    procedure DirectoryEdit1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.DirChange1AnyChange(Sender: TObject; Item1,
  Item2: TWin32FindDataA);
begin
     Memo1.Lines.Add('OnAnyChange');

end;

procedure TForm1.DirChange1ChangeAccessTime(Sender: TObject; Item1,
  Item2: TWin32FindDataA);
begin
     Memo1.Lines.Add('OnChangeAccessTime :'+TDirChange(Sender).Directory+Item1.cFileName);
end;

procedure TForm1.DirChange1ChangeAttributes(Sender: TObject; Item1,
  Item2: TWin32FindDataA);
begin
     Memo1.Lines.Add('OnChangeAttributes :'+TDirChange(Sender).Directory+Item1.cFileName);
end;

procedure TForm1.DirChange1ChangeCreationTime(Sender: TObject; Item1,
  Item2: TWin32FindDataA);
begin
     Memo1.Lines.Add('OnChangeCreationTime :'+TDirChange(Sender).Directory+Item1.cFileName);
end;

procedure TForm1.DirChange1ChangeDeleted(Sender: TObject;
  Item: TWin32FindDataA);
begin
     Memo1.Lines.Add('OnChangeDeleted :'+TDirChange(Sender).Directory+Item.cFileName);
end;

procedure TForm1.DirChange1ChangeNew(Sender: TObject;
  Item: TWin32FindDataA);
begin
     Memo1.Lines.Add('OnChangeNew :'+TDirChange(Sender).Directory+Item.cFileName);

end;

procedure TForm1.DirChange1ChangeRenamed(Sender: TObject;
  Item: TWin32FindDataA);
begin
     Memo1.Lines.Add('OnChangeRenamed :'+TDirChange(Sender).Directory+Item.cFileName);

end;

procedure TForm1.DirChange1ChangeSize(Sender: TObject; Item1,
  Item2: TWin32FindDataA);
begin
     Memo1.Lines.Add('OnChangeSize :'+TDirChange(Sender).Directory+Item1.cFileName);

end;

procedure TForm1.DirChange1ChangeWriteTime(Sender: TObject; Item1,
  Item2: TWin32FindDataA);
begin
     Memo1.Lines.Add('OnChangeWriteTime :'+TDirChange(Sender).Directory+Item1.cFileName);

end;

procedure TForm1.DirectoryEdit1Change(Sender: TObject);
begin
     if DirectoryEdit1.Text='' then exit;
     DirChange1.Directory:=DirectoryEdit1.Text;
     DirChange1.Active:=True;
end;

end.
